C         SUBROUTINE JMMODEL(EAR, NE, PARAM, WORKSP, PHOTAR)

*-------------------------------------------------------------------
	subroutine filter(ear,ne,param,ifl,photar)
	integer ne,ifl
	real*4 ear(0:ne),param(*),photar(ne)

	include 'params.for'
      external initje

      real*8 ans(4096),d
      INTEGER K, I
	character*80 mesg
	real*8 grit

	grit = 1.d-12
	d = param(2)
	k = param(1) + grit
	do 1234 i=1,ne
	  eArray(i) =  (ear(i-1) + ear(i))/2.
	  evArr(i) = 1000. * (ear(i-1) + ear(i))/2.
1234	continue
	nInt = ne

	if (ne .gt. 4096) then
	  write(mesg,'(a,i)') 
     &		' Too many channels in filter: ',ne
	  call xwrite(mesg,10)
	endif
	call source(k,d,ans)

	do 1245 i=1,ne
	  photar(i) = ans(i)
1245	continue

	return
	end
*     k=1 Molybdenum
*     k=2 Aluminum
*     k=3 Zirconium
*     k=4 Copper
*     k=5 Parylene
*     k=6 Carbon
*     k=7 Beryllium
*     k=8 Boron
*     k=9 Chromium
*     k=10 Iron
*     k=11 Nickel
*     k=12 Zinc
*     k=13 Magnesium
*     k=14 Titanium
*     k=15 Silver
*     k=16 Indium
*     k=17 Vanadium
*     k=18 Cobalt
